<template>
    <modal
            name="successOrError-modal"
            transition="nice-modal-fade"
            :min-width="200"
            :min-height="200"
            :pivot-y="0.5"
            :adaptive="true"
            :scrollable="true"
            :reset="true"
            :max-width="600"
            width="80%"
            height="auto"
            @before-open="beforeOpen"
    >
        <div class="modal-content text-center">
            <div>
                <div v-if="error" class="error-msg">Ошибка</div>
                <div v-else class="success-msg">Получилось</div>
            </div>

        </div>
    </modal>
</template>
<style>
    .success-msg{
        color: #00ff10;
    }
</style>
<script>
    export default {
        name: 'SuccessOrErrorModal',
        data(){
            return{
                error: false
            }
        },
        methods: {

            beforeOpen (event) {
                this.error = event.params.error;
                let that = this;
                function func() {
                    that.$modal.hide('successOrError-modal')
                }

                setTimeout(func, 3000);
            }

        },
        mounted(){
            console.log(this.error)
        }
    }
</script>
